package com.tofly.ghrq_route.module.OfflineWork.domain;

/**
 * Created by mgq on 2017/10/24.
 */

public class OfflineWorkEvent {
    public static final String DEVICE_IS_OFFLINE = "device_offline";
    public static final String DEVICE_IS_ONLINE = "device_online";
    public static final String SERVER_IS_REACHABLE = "server_reachable";
    public static final String NETWORK_IS_REACHABLE = "network_is_reachable";
    public static final String OFFLINE_JOB_UPLOAED = "offline_job_uploaded";

    private String event;
    private Object object;

    public OfflineWorkEvent(String event) {
        this.event = event;
    }

    public OfflineWorkEvent(String event, Object object) {
        this.event = event;
        this.object = object;
    }

    public String getEvent() {
        return event;
    }

    public Object getObject() { return object; }
}
